Vector BLF: Vector::BLF::A429Status Struct Reference

Vector BLF

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Vector::BLF::A429Status Struct Referencefinal

A429_STATUS. More...

`#include <A429Status.h>`

Inheritance diagram for Vector::BLF::A429Status:

## Public Member Functions
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
| ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void | read (AbstractFile &is) override
void | write (AbstractFile &os) override
uint16_t | calculateHeaderSize () const override
uint32_t | calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
| ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
| ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & | operator= (const ObjectHeaderBase &)=default
| ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & | operator= (ObjectHeaderBase &&)=default
virtual void | read (AbstractFile &is)
virtual void | write (AbstractFile &os)
virtual uint16_t | calculateHeaderSize () const
virtual uint32_t | calculateObjectSize () const

## Public Attributes
uint16_t | channel {}
uint8_t | dir {}
uint8_t | reservedA429Status1 {}
uint16_t | parity {}
uint16_t | reservedA429Status2 {}
uint32_t | minGap {}
uint32_t | bitrate {}
uint32_t | minBitrate {}
uint32_t | maxBitrate {}
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t | objectFlags {ObjectFlags::TimeOneNans}
| object flags
uint16_t | clientIndex {}
| client index of send node
uint16_t | objectVersion {0}
| object specific version
uint64_t | objectTimeStamp {}
| object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t | signature {ObjectSignature}
| signature (ObjectSignature)
uint16_t | headerSize {}
| sizeof object header
uint16_t | headerVersion {}
| header version (1)
uint32_t | objectSize {}
| object size
ObjectType | objectType {ObjectType::UNKNOWN}
| object type

## Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader
enum | ObjectFlags : uint32_t { TimeTenMics = 0x00000001 , TimeOneNans = 0x00000002 }

## Detailed Description

A429_STATUS.

A429 status object

## Member Function Documentation

## ◆ calculateObjectSize()

uint32_t Vector::BLF::A429Status::calculateObjectSize | ( |  | ) | const
| overridevirtual

Calculates the objectSize

Returns
  object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ read()

void Vector::BLF::A429Status::read | ( | AbstractFile & | is | ) |
| overridevirtual

Read the data of this object

Parameters

  is | input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## ◆ write()

void Vector::BLF::A429Status::write | ( | AbstractFile & | os | ) |
| overridevirtual

Write the data of this object

Parameters

  os | output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

## Member Data Documentation

## ◆ bitrate

uint32_t Vector::BLF::A429Status::bitrate {}

Tx bit rate

## ◆ channel

uint16_t Vector::BLF::A429Status::channel {}

application channel

## ◆ dir

uint8_t Vector::BLF::A429Status::dir {}

direction flag: 0=Rx, 1=Tx

## ◆ maxBitrate

uint32_t Vector::BLF::A429Status::maxBitrate {}

Rx max bit rate

## ◆ minBitrate

uint32_t Vector::BLF::A429Status::minBitrate {}

Rx min bit rate

## ◆ minGap

uint32_t Vector::BLF::A429Status::minGap {}

minimum gap

## ◆ parity

uint16_t Vector::BLF::A429Status::parity {}

parity

## ◆ reservedA429Status1

uint8_t Vector::BLF::A429Status::reservedA429Status1 {}

reserved

## ◆ reservedA429Status2

uint16_t Vector::BLF::A429Status::reservedA429Status2 {}

reserved

The documentation for this struct was generated from the following files:

- A429Status.h
- A429Status.cpp